# Uses of Interface
com.databricks.jdbc.log.JdbcLogger

Packages that use JdbcLogger
Package
Description
com.databricks.jdbc.log

## Uses of JdbcLogger in com.databricks.jdbc.log

Classes in com.databricks.jdbc.log that implement JdbcLogger
Modifier and Type
Class
Description
`class`
`JulLogger`
The `JulLogger` class provides an implementation of the `JdbcLogger` interface using the Java Util Logging (JUL) framework.
`class`
`Slf4jLogger`
The `Slf4jLogger` class implements the `JdbcLogger` interface, providing an SLF4J-based logging solution.
Methods in com.databricks.jdbc.log that return JdbcLogger
Modifier and Type
Method
Description
`static JdbcLogger`
JdbcLoggerFactory.`getLogger(Class<?> clazz)`
Returns a `JdbcLogger` instance for the specified class.
`static JdbcLogger`
JdbcLoggerFactory.`getLogger(String name)`
Returns a `JdbcLogger` instance for the specified name.